# DOMProcessingInstruction::__construct

(PHP 5, PHP 7)

DOMProcessingInstruction::__construct — Creates a new DOMProcessingInstruction object

### Description

public DOMProcessingInstruction::__construct ( string `$name` [, string `$value` ] )

Creates a new DOMProcessingInstruction object. This object is read only. It may be appended to a document, but additional nodes may not be appended to this node until the node is associated with a document. To create a writeable node, use DOMDocument::createProcessingInstruction.

### Parameters

`name`

  The tag name of the processing instruction.

`value`

  The value of the processing instruction.

### Examples

Example #1 Creating a new DOMProcessingInstruction object

`<?php
$dom = new DOMDocument('1.0', 'UTF-8');
$html = $dom->appendChild(new DOMElement('html'));
$body = $html->appendChild(new DOMElement('body'));
$pinode = new DOMProcessingInstruction('php', 'echo "Hello World"; ');
$body->appendChild($pinode);
echo $dom->saveXML();
?>`

The above example will output:

    <?xml version="1.0" encoding="UTF-8"?>
    <html><body><?php echo "Hello World"; ?></body></html>

### See Also

- DOMDocument::createProcessingInstruction() - Creates new PI node